AOMedia AV1 Codec: Data Fields

| AOMedia AV1 Codec

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - r -

- r0_adjust_factor : TplParams
- r_h : aom_image
- r_w : aom_image
- range : aom_image
- rate : aom_partition_stats, COMP_RD_STATS
- rate2_nocoeff : motion_mode_candidate
- rate_boost_fac : CYCLIC_REFRESH
- rate_correction_factors : PRIMARY_RATE_CONTROL
- rate_error_estimate : PRIMARY_RATE_CONTROL
- rate_index : ForceIntegerMVInfo
- rate_mv : motion_mode_candidate
- rate_ratio_qdelta : CYCLIC_REFRESH
- rate_ratio_qdelta_adjustment : CYCLIC_REFRESH
- rate_size : ForceIntegerMVInfo
- rate_uv : WinnerModeStats
- rate_uv_intra : IntraModeSearchState
- rate_uv_tokenonly : IntraModeSearchState
- rate_y : WinnerModeStats
- raw : aom_codec_cx_pkt
- raw_error_stdev : FIRSTPASS_STATS
- rb : macroblock
- rc : AV1_COMP
- rc_2pass_vbr_bias_pct : aom_codec_enc_cfg
- rc_2pass_vbr_maxsection_pct : aom_codec_enc_cfg
- rc_2pass_vbr_minsection_pct : aom_codec_enc_cfg
- rc_buf_initial_sz : aom_codec_enc_cfg
- rc_buf_optimal_sz : aom_codec_enc_cfg
- rc_buf_sz : aom_codec_enc_cfg
- rc_cfg : AV1EncoderConfig
- rc_dropframe_thresh : aom_codec_enc_cfg
- rc_end_usage : aom_codec_enc_cfg
- rc_firstpass_mb_stats_in : aom_codec_enc_cfg
- rc_max_quantizer : aom_codec_enc_cfg
- rc_min_quantizer : aom_codec_enc_cfg
- rc_overshoot_pct : aom_codec_enc_cfg
- rc_resize_denominator : aom_codec_enc_cfg
- rc_resize_kf_denominator : aom_codec_enc_cfg
- rc_resize_mode : aom_codec_enc_cfg
- rc_superres_denominator : aom_codec_enc_cfg
- rc_superres_kf_denominator : aom_codec_enc_cfg
- rc_superres_kf_qthresh : aom_codec_enc_cfg
- rc_superres_mode : aom_codec_enc_cfg
- rc_superres_qthresh : aom_codec_enc_cfg
- rc_target_bitrate : aom_codec_enc_cfg
- rc_twopass_stats_in : aom_codec_enc_cfg
- rc_undershoot_pct : aom_codec_enc_cfg
- rd : AV1_COMP, WinnerModeStats
- rd_cost : motion_mode_candidate, WinnerModeStats
- rd_cost_arr : inter_modes_info
- rd_cost_uv_arr : inter_modes_info
- rd_cost_y_arr : inter_modes_info
- rd_idx_pair_arr : inter_modes_info
- rd_model : macroblock
- rd_sf : SPEED_FEATURES
- rd_stats : MB_RD_INFO
- rdcost : aom_partition_stats
- rdmult : aom_partition_features, CYCLIC_REFRESH, macroblock
- rdmult_cur_qindex : macroblock
- rdmult_delta_qindex : macroblock
- rdmult_delta_qp : aom_roi_map
- ready : TplParams
- rec_sse : AV1_COMP
- recalc_luma_mc_data : macroblock
- recode_loop : HIGH_LEVEL_SPEED_FEATURES
- recode_tolerance : HIGH_LEVEL_SPEED_FEATURES
- reduce_mv_step_param : FIRST_PASS_SPEED_FEATURES
- reduced_reference_set : cfg_options
- reduced_tx_set_used : FeatureFlags
- reduced_tx_type_set : cfg_options, TxfmSizeTypeCfg
- ref_buf : GlobalMotionInfo
- ref_costs_single : InterModeSearchStateNonrd
- ref_frame : aom_roi_map, MB_MODE_INFO, TplParams
- ref_frame_dist_info : AV1_COMP
- ref_frame_flags : AV1_COMP, EncodeFrameParams, ExternalFlags
- ref_frame_id : AV1Common
- ref_frame_map : AV1Common
- ref_frame_map_copy : AV1_PRIMARY
- ref_frame_mvs_lvl : HIGH_LEVEL_SPEED_FEATURES
- ref_frame_side : AV1Common
- ref_frame_sign_bias : AV1Common
- ref_frames : COMP_RD_STATS
- ref_idx : aom_svc_ref_frame_config
- ref_idx_to_skip : AV1_COMP
- ref_inter_cost : PruneInfoFromTpl
- ref_mv_count : DecoderCodingBlock, MB_MODE_INFO_EXT, MB_MODE_INFO_EXT_FRAME
- ref_mv_idx : COMP_RD_STATS, MB_MODE_INFO
- ref_mv_stack : macroblockd, MB_MODE_INFO_EXT, MB_MODE_INFO_EXT_FRAME
- ref_refresh_index : AV1_COMP
- ref_relative_dist : RefFrameDistanceInfo
- ref_scale_factors : AV1Common
- reference : aom_svc_ref_frame_config
- reference_enabled : aom_roi_map
- reference_frames : GlobalMotionInfo
- refmv_mode_cost : ModeCosts
- refresh : aom_svc_ref_frame_config
- refresh_frame : AV1_COMP, EncodeFrameParams, ExternalFlags
- refresh_frame_context : ExternalFlags, FeatureFlags
- refresh_frame_context_pending : ExternalFlags
- refresh_idx_available : AV1_COMP
- remapped_ref_idx : AV1Common, EncodeFrameParams
- render_height : AV1Common
- render_width : AV1Common
- residual1 : CompoundTypeRdBuffers
- resize_kf_scale_denominator : ResizeCfg
- resize_mode : ResizeCfg
- resize_pending_params : AV1_COMP
- resize_scale_denominator : ResizeCfg
- restoration_type : RestorationUnitInfo
- restoration_unit_size : RestorationInfo
- restore_state_buf : MultiThreadInfo
- reuse_inter_pred : macroblock
- rlbs : AV1Common, RestoreStateBuffers
- roffset : CdefBlockInfo
- roi : AV1_COMP
- roi_map : aom_roi_map
- rolling_actual_bits : PRIMARY_RATE_CONTROL
- rolling_target_bits : PRIMARY_RATE_CONTROL
- round_fp_QTX : macroblock_plane
- round_QTX : macroblock_plane
- row_ctx : macroblock
- row_mt_enabled : MultiThreadInfo
- row_mt_exit : AV1EncRowMultiThreadInfo
- row_start_sb : CommonTileParams
- rows : aom_active_map, aom_roi_map, AV1EncRowMultiThreadSync, CommonTileParams
- rst_frame : AV1Common
- rst_info : AV1Common
- rst_tmpbuf : AV1Common, RestoreStateBuffers
- rt_reduce_num_ref_buffers : AV1_COMP
- rt_sf : SPEED_FEATURES
- rtc_ref : AV1_PRIMARY
- rusi : AV1LrPickStruct